<?php

namespace App\Models\Survey;

use Illuminate\Database\Eloquent\Model;

class SurveyStructure extends Model
{
    protected $primaryKey = "Survey_id";
    protected $table="lsl_survey_structure_master";

    public function questions()
    {
        return $this->hasMany('App\Models\Survey\Questionaire','Survey_id','Survey_id')->with('choices');
    }

    public function send_surveys()
    {
        return $this->hasMany('App\Models\Survey\SurveySend','Survey_id','Survey_id');
    }

    public function survey_responses()
    {
       return $this->hasMany('App\Models\Survey\SurveyResponse','Survey_id','Survey_id');
    }
}
