<?php

namespace App\Traits;


use App\Models\BranchMaster;

trait BranchTrait
{
    protected  function allBranches($company_id)
    {
        return BranchMaster::where('Company_id',$company_id)
            ->orderBy("Branch_name",'asc')->get()->map(function($branch){
                return $branch->formatIndex();
            });
    }

    protected  function getBranchCatalogues($branch_code,$company_id)
    {
        return BranchMaster::with('products_categories')->where('Company_id',$company_id)
            ->where("Branch_code",$branch_code)->first();
    }
}
