<?php

namespace App\Http\Controllers\API;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use DB;

class LocationController extends Controller
{
    public function states($countryId)
    {
        $states = DB::table('lsl_state_master')->where('Country_id',$countryId)
        ->select(['Country_id','State_id','Region_id','Zone_id','State_name'])->get();
        $response['message']="Successful";
        $response['status']=1;
        $response['states']=$states;
        return response()->json($response,200);
    }

    public function cities($stateId)
    {
        $states = DB::table('lsl_city_master')->where('State_id',$stateId)
        ->select(['Country_id','State_id','City_id','Region_id','Zone_id','City_name'])->get();
        $response['status']=1;
        $response['message']="Successful";
        $response['cities']=$states;
        return response()->json($response,200);
    }
}
