<?php

namespace App\Http\Resources\Catalogues;

use Illuminate\Http\Resources\Json\JsonResource;

class ItemCollection extends JsonResource
{
    /**
     * Transform the resource collection into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            "Item_id"=>$this->Company_merchandise_item_id,
            "Categroy_id"=> $this->Merchandize_category_id,
            "Item_name"=>$this->Merchandize_item_name,
            "Item_image"=>$this->Item_image,
            "Item_code"=> $this->Merchandize_item_code,
            "Price"=>$this->Billing_price_in_points,
            "Old_price"=>$this->Old_price_in_points,
            "Sale"=>$this->Sale_flag  
        ];
    }
}
