<?php

namespace App\Http\Resources\Checkout;

use Illuminate\Http\Resources\Json\JsonResource;

class CheckoutResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'Item_code'=>$this->Item_code,
            'Redemption_method'=>$this->Redemption_method,
            'Quantity'=>$this->Quantity,
            "Branch"=>$this->Branch,
            "Remark"=>$this->Remark,
            "Amount"=>$this->Amount,
            "Item_price"=>$this->product->Billing_price_in_points,
            "Item_name"=>$this->product->Merchandize_item_name,
        ];
    }
}
