<?php

namespace App\Traits;


use App\Models\EnrollmentMaster;
use Illuminate\Support\Facades\DB;

trait PasswordTrait
{
    public function verifyMembership($email,$slug)
    {
        return EnrollmentMaster::where('Membership_id',$membership_id)
                ->whereHas('program',function($query)use($slug){
                    return  $query->where('slug',$slug);
                })->first();
    }

    public function getMembersWithEmail($email,$slug)
    {
        return EnrollmentMaster::where('User_email_id',$email)
            ->whereHas('program',function($query)use($slug){
                return  $query->where('slug',$slug);
            })->first();
    }
}
