<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateShippingAddressesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('lsl_shipping_master', function (Blueprint $table) {
            $table->bigIncrements('Id');
            $table->bigInteger('Enrollment_id');
            $table->string('First_name');
            $table->string('Last_name');
            $table->string('State_id');
            $table->integer('City_id');
            $table->string('Address');
            $table->string('Contact_phone');
            $table->string('Contact_email');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('shipping_addresses');
    }
}
