<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMailSettingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('mail_settings', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->bigInteger('Company_id');
            $table->string('SMTP_host');
            $table->integer('SMTP_port');
            $table->string('SMTP_username');
            $table->string('SMTP_password');
            $table->string('SMTP_encryption');
            $table->string('From_email');
            $table->string('From_name');
            $table->string('Reply_email');
            $table->string('Reply_name');
            $table->boolean("Active_flag");
            $table->bigInteger('Create_user');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('mail_settings');
    }
}
