<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Company extends Model
{
    protected $table="lsl_company_master";
    protected $primaryKey="Company_id";

    public $timestamps = false;
    public function categories()
     {
        return $this->belongsToMany('App\Models\Merchandizecategory','lsl_company_merchandize_category',
        'Company_id','LSL_Merchandize_category_id')->where('Link_flag',0)->with('children_categories');
    }

    public function programs()
    {
        return $this->hasMany('App\Models\LoyaltyProgram','Company_id','Company_id');
    }

    public function mail_configuration()
    {
        return $this->hasOne('App\Configurations\MailSetting','Company_id','Company_id');
    }

    public function tiers()
    {
        return $this->hasMany('App\Models\TierMaster','Company_id','Company_id');
    }


}
