<?php

namespace App\Http\Resources\Delivery;

use Illuminate\Http\Resources\Json\JsonResource;
use App\Http\Resources\Delivery\BranchResource as BranchResource;

class ItemResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            "Quantity" =>$this->Quantity,
            "Weight"=>$this->Weight,
            "Weight_unit_id"=>$this->Weight_unit_id,
            "Item_code"=>$this->Item_code,
            "States"=>BranchResource::collection($this->branches->unique("State_id")),
        ];
    }
}
