<?php

namespace App\Http\Resources\Catalogues;

use Illuminate\Http\Resources\Json\JsonResource;
use App\Http\Resources\Catalogues\BranchCollection as BranchCollection;

class ItemResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [

            "Item_id"=>$this->Company_merchandise_item_id,
            "Categroy_id"=> $this->Merchandize_category_id,
            "Item_image"=>$this->Item_image,
            "Item_name"=>$this->Merchandize_item_name,
            "Item_code"=> $this->Merchandize_item_code,
            "Price"=>$this->Billing_price_in_points,
            "Item_description"=>$this->Merchandise_item_description,
            "Old_price"=>$this->Old_price_in_points,
            "Sale"=>$this->Sale_flag,
            "Delivery_method"=>$this->Delivery_method,
            "Enable_remark"=>$this->Enable_remark,
            "Remark_lable"=>$this->Remark_lable,
            "branches"=> BranchCollection::collection($this->branches),
        ];
    }
}
