<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class LoyaltyProgram extends Model
{
    protected $table ="lsl_loyalty_program_master";
    protected $primaryKey="Loyalty_program_id";

    public $timestamps = false;

    public function company()
    {
        return $this->belongsTo('App\Models\Company',
            'Company_id','Company_id')->with(["tiers","mail_configuration"]);
    }
}
