<?php

namespace App\Traits;



trait MailNotification 
{
    public function getEmailVariable($type_description)
    {
        return \DB::table('lsl_codedecode_type_master as mas')
        ->leftJoin('lsl_codedecode_master as codecode','codecode.Typecd_id','=','mas.Typecd_id')
        ->select('codecode.Decode_description')
        ->where('Typecd_description',$type_description)->get()->pluck('Decode_description');
       
    }

    public function getEmailStructure($company_id,$temp_type_id)
    {
        return \DB::table('lsl_company_email_template_master as comp')
        ->leftJoin('lsl_email_template_master as temp','temp.Email_template_id','=','comp.Email_template_id')
        ->leftJoin('lsl_template_type_master as type','type.Template_type_id','=','temp.Template_type_id')
        ->select('comp.Email_subject','comp.Email_header','comp.Email_header_image',
        'comp.Body_structure','comp.Email_body','comp.Body_image','comp.Email_font_size','comp.Font_family','comp.Email_font_color',
        'comp.Email_background_color','comp.Footer_notes','comp.Unsubscribe_flg','comp.Google_play_link','comp.Ios_application_link','comp.Status')
        ->where('type.Template_type_id',$temp_type_id)->where('Company_id',$company_id)
        ->where('comp.Status',1)->first();
    }
}
