<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateLockedoutCustomersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('lsl_lockedout_customers', function (Blueprint $table) {
            $table->bigIncrements('Id');
            $table->string('Membership_id');
            $table->string('Enrollment_id');
            $table->string('Loyalty_program_id');
            $table->integer('Attempt_count')->default(0);
            $table->string('Token')->nullable();
            $table->boolean('Lockedout_flag')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('lockedout_customers');
    }
}
